package com.lightinit.hsdataportal.entity;

import com.lightinit.hsdataportal.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

public class RoadshowRequirementWithBLOBs extends RoadshowRequirement {
    @NotEmpty()
    @FieldDescriber(descripton = "需求")
    private String requirement;
    @NotEmpty()
    @FieldDescriber(descripton = "意向")
    private String purpose;

    public String getRequirement() {
        return requirement;
    }

    public void setRequirement(String requirement) {
        this.requirement = requirement == null ? null : requirement.trim();
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose == null ? null : purpose.trim();
    }
}